# $Revision: 1.5 $, $Date: 2006/11/23 21:11:04 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	WrapI18N
Summary:	Text::WrapI18N - line wrapping module with support for i18n
Summary(pl):	Text::WrapI18N - modu zawijajcy linie z obsug midzynarodowoci
Name:		perl-Text-WrapI18N
Version:	0.06
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Text/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0799c16a00926e6c18d400c2e2861d5f
%if %{with tests}
BuildRequires:	perl-Text-CharWidth >= 0.02
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module intends to be a better Text::Wrap module. This module is
needed to support multibyte character encodings such as UTF-8, EUC-JP,
EUC-KR, GB2312, and Big5. This module also supports characters with
irregular widths, such as combining characters (which occupy zero
columns on terminal, like diacritical marks in UTF-8) and fullwidth
characters (which occupy two columns on terminal, like most of east
Asian characters). Also, minimal handling of languages which doesn't
use whitespaces between words (like Chinese and Japanese) is
supported.

%description -l pl
Ten modu ma by lepsz wersj Text::Wrap. Jest potrzebny do obsugi
wielobajtowych kodowa znakw, takich jak UTF-8, EUC-JP, EUC-KR,
GB2312 i Big5. Obsuguje take znaki o niestandardowej szerokoci,
takie jak znaki czone (zajmujce na terminalu zero kolumn, jak
znaczniki diakrytyczne w UTF-8) i znaki penej szerokoci (zajmujce
na terminalu dwie kolumny, jak wikszo znakw wschodnioazjatyckich).
Jest take minimalna obsuga jzykw nie uywajcych odstpw midzy
sowami (jak chiski czy japoski).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Text/WrapI18N.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Text-WrapI18N.spec,v $
Revision 1.5  2006/11/23 21:11:04  qboosh
- added tests (BR: perl-Text-CharWidth)

Revision 1.4  2006/10/21 17:23:36  ankry
- rel. 1

Revision 1.3  2006/06/26 19:31:14  qboosh
- pl

Revision 1.2  2006/06/13 10:49:42  tommat
- updated md5sum

Revision 1.1  2006/06/13 10:44:29  tommat
- initial
